<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_citizen_participation.dashboard.main_headings')"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <ion-grid
    class="ion-no-padding flex-list-subsections"
    id="mainCitizenParticipation"
  >
    <p class="sub-header">
      {{ t('feature_citizen_participation.dashboard.main_subheadings') }}
    </p>
    @if (defectIdeasReportUrl) {
      <ion-row class="flex-list-minor">
        <div class="flex-list-lines">
          <div class="header-section">
            {{ t('feature_citizen_participation.dashboard.DefectsIdeas') }}
          </div>
          <div class="subheader-section">
            {{
              t(
                'feature_citizen_participation.dashboard.DefectIdeasDescription'
              )
            }}
          </div>
        </div>
        <lib-custom-vertical-button
          class="custom-vertical-button"
          [startIcon]="'arrow_forward'"
          (buttonClick)="openCitizenParticipation($event, defectIdeasReportUrl)"
          [buttonType]="customButtonType.link"
          [colorScheme]="customButtonColorScheme.main"
          [externalUrl]="defectIdeasReportUrl"
          [title]="t('feature_citizen_participation.dashboard.start')"
        ></lib-custom-vertical-button>

        <ion-row class="icon-row">
          <lib-action-button-bar
            [actions]="[
              {
                icon: 'open_in_new',
                label: t(
                  'feature_citizen_participation.dashboard.open_in_new_tab'
                ),
                onClick: openInBrowser.bind(this, defectIdeasReportUrl),
                linkUrl: defectIdeasReportUrl,
              },
              {
                icon: 'share',
                label: t('feature_citizen_participation.dashboard.share'),
                onClick: shareDefectIdeasReport.bind(this),
              },
            ]"
          >
          </lib-action-button-bar>
        </ion-row>
      </ion-row>
    }
    @if (urbanDevelopmentUrl) {
      <ion-row class="flex-list-minor">
        <div class="flex-list-lines">
          <div class="header-section">
            {{
              t('feature_citizen_participation.dashboard.urbanDevelopmentPlans')
            }}
          </div>
          <div class="subheader-section">
            {{
              t(
                'feature_citizen_participation.dashboard.urbanDevelopmentPlansDescription'
              )
            }}
          </div>
        </div>
        <lib-custom-vertical-button
          class="custom-vertical-button"
          [startIcon]="'arrow_forward'"
          (buttonClick)="openCitizenParticipation($event, urbanDevelopmentUrl)"
          [buttonType]="customButtonType.link"
          [colorScheme]="customButtonColorScheme.main"
          [externalUrl]="urbanDevelopmentUrl"
          [title]="t('feature_citizen_participation.dashboard.start')"
        ></lib-custom-vertical-button>

        <ion-row class="icon-row">
          <lib-action-button-bar
            [actions]="[
              {
                icon: 'open_in_new',
                label: t(
                  'feature_citizen_participation.dashboard.open_in_new_tab'
                ),
                onClick: openInBrowser.bind(this, urbanDevelopmentUrl),
                linkUrl: urbanDevelopmentUrl,
              },
              {
                icon: 'share',
                label: t('feature_citizen_participation.dashboard.share'),
                onClick: shareUrbanDevelopment.bind(this),
              },
            ]"
          >
          </lib-action-button-bar>
        </ion-row>
      </ion-row>
    }
  </ion-grid>
</lib-condensed-header-layout>
